#!/usr/bin/python

import mechanize
import logging

def get_and_log_in(url, username, password, debug=False):
    """Given a url that requires OpenID to continue, an openid username
    (e-mail in our case) and a password, returns a mechanize browser
    object that can be queried for the response with .response()"""
    browser = mechanize.Browser()
    browser.set_handle_robots(False)

    if debug:
        logging.basicConfig(level=logging.DEBUG)
    browser.set_debug_redirects(debug)
    browser.set_debug_responses(debug)
    #browser.set_debug_http(debug)

    browser.open(url)

    # The browser should now be redirected to a form (full of hidden
    # fields) that needs to be submitted to cross over to the openID
    # server.
    browser.select_form(nr=0)
    browser.submit()

    # Now we're at the login page, and need to enter our access
    # credentials and submit.
    browser.select_form(name="loginform")
    browser["email"] = username
    browser["password"] = password
    browser.submit()

    # Now we ought to be redirected back to the url we first requested,
    # and will return the browser in that state.
    return browser

if __name__ == '__main__':
    import sys
    try:
        browser = get_and_log_in(*sys.argv[1:4], debug=True)
        response = browser.response()
        print response.read()
    except TypeError:
        print "Usage: %s <url> <username> <password>" % sys.argv[0]

