#!/bin/bash

# Copyright 2009, Canonical Ltd.
# Author: Stefan Stasik

# Check to make sure lpnet/edge servers are all running same version.
# RT# 35376

set -e
set -u

if [ ! -f "$1" ]; then
    echo "UNKNOWN: file not found"
    exit 3
fi

LPNET=$(egrep -v Running "$1" | sort -u | wc -l)

if [ $LPNET = 1 ]; then
	echo "OK: All App Server revisions match"
	exit 0	
else 
	echo "Critical: App server revisions do not match"
	exit 2
fi
