#!/bin/sh

# Copyright 2010 Canonical Ltd.
# Author: Tom Haddon

set -e
set -u

PIDFILE=$1

if [ -r "$PIDFILE" ]
then

    PID=$(cat $PIDFILE)

    RUNNING=$(ps afuwxx | grep $PID | grep buildd-manager.tac | grep -v grep)
    if [ -n "$RUNNING" ]
    then 
        echo "OK - Buildd-Sequencer process found"
        exit 0
    else
        echo "CRITICAL - Process for Buildd-Sequencer not found"
        exit 2
    fi
else
    echo "CRITICAL - Pidfile not found, or not readable"
    exit 2
fi
