#!/bin/sh

# Copyright (c) 2009 Canonical, Ltd
# Author: Stefan Stasik

# Plugin to check directory(s) if they contain err* files. 
# If the directory does not contain err files, check is OK; exit 0 
# If the directory does contain err files, this is an error; exit 2
# 
# The switch '-type f' is needed because otherwise find will find the 
# directory name which is /error/  This excludes directory filetypes. 

# Usage: check_err_files.sh "dir1 dir2 ..."
# You can search for multiple directories by putting them in " "
# to make sure they all get assigned to the same shell variable ( $1 )

set -e
set -u

FILES=$(find $1 -type f -iname "err*" )

if [ -n "$FILES" ] ; then
        echo "Error: files exist in directory"
        exit 2
  else
        echo "OK: no files exist in directory"
        exit 0
fi
