#!/bin/sh

set -e
set -u

TMP=$(mktemp /tmp/check_geonames.XXXXXXXXXX)
if [ $? != 0 ]; then
	echo "FAIL - mktemp failed"
	exit 2
fi

# data from the URL is of the form:
# { "time": "2008-10-01 17:02", "countryName": "Austria", "rawOffset": 1, "dstOffset": 2,
# "countryCode": "AT", "gmtOffset": 1, "lng": 10.2, "timezoneId": "Europe/Vienna", "lat": 47.01
# }

# We would just use check_http here if it were trivial to get the http_proxy to be used.
# We need the proxy since adelie doesn't get to talk to the big bad internet directly.
export http_proxy=http://squid.internal:3128/

wget -q --no-cache -O $TMP 'http://ba-ws.geonames.net/timezoneJSON?formatted=true&lat=47.01&lng=10.2&style=full&username=launchpad'
if grep -q 'countryName.*Austria' $TMP; then
	echo "OK"
	rm -f $TMP
	exit 0
else
	echo "FAIL"	 # and leave the temp file for posterity
	exit 2
fi


