#!/bin/sh

PATH=/bin:/usr/bin; export PATH

. /usr/lib/nagios/plugins/utils.sh

if [ "x${1}" = "x" ]; then
   echo "Usage $0 <url>"
   exit $STATE_UNKNOWN
fi
if [ $(echo $1 | grep -c 'git://.*') -ne 1 ]; then
   echo "$1 is not a git:// url"
   exit $STATE_UNKNOWN
fi

TMPDIR=$(mktemp -d -t $(basename $0).XXXXXX)

cd $TMPDIR && git clone -n -q $1

if [ $? -eq 0 ]; then
   rm -rf $TMPDIR
   echo "OK: Successfully cloned repo."
   exit $STATE_OK
else
   rm -rf $TMPDIR
   echo "CRIT: Failed to clone repo."
   exit $STATE_CRITICAL
fi

echo "ERR: Unknown state."
exit $STATE_UNKNOWN
