#!/bin/bash

# Copyright 2011 Canonical Ltd.  All rights reserved.
# Author: Brad Marshall <brad.marshall@canonical.com>

# MIBS
# https://support.google.com/enterprise/doc/gsa/00/MIB-50/GOOGLE-MIB.txt
# https://support.google.com/enterprise/doc/gsa/00/MIB-50/GSA-MIB.txt

# snmpget -c public -v2c -Ov  monstera.canonical.com .1.3.6.1.4.1.11129.1.1.1.0

set -e
set -u

. /usr/lib/nagios/plugins/utils.sh

GSA_HOSTNAME=monstera.canonical.com

GSA_RUNNING_MIB=1.3.6.1.4.1.11129.1.1.1.0

# States
RUNNING=1
STOPPED=0

RUN_STATE=$(snmpget -c public -v2c $GSA_HOSTNAME $GSA_RUNNING_MIB | sed -e "s/.*: //")

case $RUN_STATE in
    $RUNNING)
	echo "GSA is crawling websites"
	exit $STATE_OK
	;;
    $STOPPED)
	echo "GSA is NOT crawling websites"
	exit $STATE_CRITICAL
	;;
    *)
	echo "Unknown GSA crawl status"
	exit $STATE_WARNING
	;;
esac

