#!/bin/bash

# Copyright 2009 Canonical, Ltd.
# Author: Tom Haddon

CRITICAL=0
NOTACTIVE=''
LOGFILE=/tmp/check_haproxy_login.log

for appserver in carambola_login_1 carambola_login_2 carambola_login_3 carambola_login_4 canistel_login_5 canistel_login_6 canistel_login_7 canistel_login_8 bilimbi_login_1 bilimbi_login_2 breadfruit_login_1 breadfruit_login_2 gandwana_login_1 palladium_login_2;
do
    output=$(/usr/lib/nagios/plugins/check_http -a haproxy:urhu87Trf -I 127.0.0.1 -p 10000 -s "class=\"active3\"><td>${appserver}</td>" -e ' 200 OK')
    if [ $? != 0 ]; then
        date >> $LOGFILE
        echo $output >> $LOGFILE
        /usr/lib/nagios/plugins/check_http -a haproxy:urhu87Trf -I 127.0.0.1 -p 10000 -v | grep $appserver >> $LOGFILE 2>&1
        CRITICAL=1
        NOTACTIVE="${NOTACTIVE} $appserver"
    fi
done

if [ $CRITICAL = 1 ]; then
    echo "CRITICAL:${NOTACTIVE}"
    exit 2
fi

echo "OK: All haproxy instances looking good"
exit 0

