#!/bin/bash

# Copyright 2009 Canonical, Ltd.
# Author: Tom Haddon

CRITICAL=0
NOTACTIVE=''
LOGFILE=/tmp/check_haproxy_shipit.log

for appserver in bilimbi_app_1 bilimbi_app_2 bilimbi_app_3 bilimbi_app_4 breadfruit_app_1 breadfruit_app_2 breadfruit_app_3 breadfruit_app_4 ;
do
    output=$(/usr/lib/nagios/plugins/check_http -a haproxy:urhu87Trf -I 127.0.0.1 -p 10000 -s "class=\"active3\"><td>${appserver}</td>" -e ' 200 OK')
    if [ $? != 0 ]; then
        date >> $LOGFILE
        echo $output >> $LOGFILE
        /usr/lib/nagios/plugins/check_http -a haproxy:urhu87Trf -I 127.0.0.1 -p 10000 -v | grep $appserver >> $LOGFILE 2>&1
        CRITICAL=1
        NOTACTIVE="${NOTACTIVE} $appserver"
    fi
done

if [ $CRITICAL = 1 ]; then
    echo "CRITICAL:${NOTACTIVE}"
    exit 2
fi

echo "OK: All haproxy instances looking good"
exit 0

