#!/usr/bin/python

# Copyright 2011 Canonical Ltd.
#
# Author: Paul Collins

# This check visits the URL given and verifies the expected
# response code is received.

# CAVEAT: Since urllib2 follows redirects by default, this script
# cannot be used to check for 301, 302 and possibly more.

from urllib2 import urlopen, HTTPError
from sys import argv, exit

OK = 0
WARNING = 1
CRITICAL = 2

url = argv[1]
expected = int(argv[2])

try:
    code = None
    try:
        f = urlopen(argv[1])
        code = f.getcode()
    except HTTPError, h:
        code = h.getcode()
    if code != expected:
        print "CRITICAL: %s: saw %s, expected %s!" % (url, code, expected)
        exit(CRITICAL)
    else:
        print "OK: %s: response code is %s" % (url, code)
        exit(OK)
except Exception, e:
    print "CRITICAL: caught %s checking %s for response code %s" % \
        (str(e), argv[1], expected)
    exit(CRITICAL)
