#!/bin/bash

# Copyright 2009, Canonical Ltd.
# Author: Tom Haddon

set -u

# We're checking for at least 40% free in the 02 librarian
# directory.
# >>> int('0x02000000', 16)
# 33554432
# >>> int('0x03000000', 16)
# 50331648
# >>> 50331648-33554432
# 16777216
# >>> 16777216*0.6
# 10066329.6
# >>> 10066329.6+33554432
# 43620761.600000001
# >>> hex(43620761)
# '0x2999999'

ALLOWED_VALUE=43620761

BADNEWS=$(psql -t $1 -c "SELECT max(id) FROM libraryfilecontent" | sed -e 's/ //g')

if [ $BADNEWS -gt $ALLOWED_VALUE ]; then
    echo "ERROR: Threshold for current dir reached"
    exit 2
fi

echo "OK: Threshold for current dir not reached"
exit 0
