#!/usr/bin/env python

# Copyright (C) 2009 Canonical, Ltd.
# Author Tom Haddon

import os
import stat
import sys

import nagios_plugin

################################################################################

def check_up_to_date(filename):
    nagios_plugin.check_file_freshness(filename, 21600)
    s = os.stat(filename)
    if s[stat.ST_SIZE] > 0:
        raise nagios_plugin.WarnError("%s bzr tree is not up-to-date, " \
            "please commit any uncommitted changes." % os.path.basename(filename))

def check_args(args):
    if not args:
        raise nagios_plugin.CriticalError("No losa bzr trees checked")

############################################################

def main(args):
    nagios_plugin.try_check(check_args, args)
    for arg in args:
        nagios_plugin.try_check(check_up_to_date, arg)
    print "losa bzr tree(s) up-to-date"

################################################################################

if __name__ == "__main__":
    main(sys.argv[1:])
