#!/bin/bash

# Copyright 2010, Canonical Ltd.
# Author: Tom Haddon

# Check that there are no more than 2 code trees on
# each host specified in a config.

set -e
set -u

if [ ! -f "$1" ]; then
    echo "UNKNOWN: file not found"
    exit 3
fi

if [ -e "$2" ]; then
    echo "OK: Edge rollout in process"
    exit 0
fi

OUTPUT=$(grep -c '^OK' $1)
FILELENGTH=$(wc -l $1 | awk '{ print $1 }')

if [ $OUTPUT -ne $FILELENGTH ]; then
    echo "CRITICAL: $(grep -v '^OK' $1)"
    exit 2
else
    echo "OK: Codetrees all in order"
    exit 0
fi

