#!/bin/bash

set -u
set -e

# check_lpprod_maint_file.sh

# Script to check for the existence of the LP maintenance file
# that is used at the time of LP Production rollouts.
# This will error whenever the file exists, which during rollouts, we will
# disnot this check.  This check is installed in all locations that receive 
# this file, and will make sure that we have all the maintenance files removed 
# once a rollout is complete.

# Usage: check_lpprod_maint_file.sh <filename to check>

MAINTENANCE_FILE=$1

if [ -f ${MAINTENANCE_FILE} ]; then
    echo "Error: LP Maintenance file found."
    exit 2
else
    echo "OK: No LP Maintenance file found."
    exit 0
fi
