#!/bin/sh

# Copyright (C) 2007, 2008, 2009 James Troup <james.troup@canonical.com>

set -e
set -u

previous_lshw=/etc/nagios/cat-lshw.txt
current_lshw=/var/lib/nagios/cat-lshw.txt


if ! diff -q -w -I "^=" -I ".*processor.*Logical CPU" \
                -I "vif.*network.*Ethernet interface" \
                -I "tap.*network.*Ethernet interface" \
                -I "eth[0-9]\+\.[0-9]\+.*network.*Ethernet interface" \
                -I "vnet[0-9]\+.*network.*Ethernet interface" \
                $previous_lshw $current_lshw > /dev/null 2>&1; then
  echo "Hardware has changed"
  exit 1
fi

echo "OK"
exit 0
