#!/bin/bash

set -u
set -e

MAINTENANCE_FILE=$1

# Threshold should be the number of seconds old
# the mainteance file can be before we flag it
# as an error
THRESHOLD=$2

if [ -f ${MAINTENANCE_FILE} ]; then
    DATE=$(date +%s)
    MAINTENANCE_DATE=$(cat ${MAINTENANCE_FILE} | egrep '^[0-9]+$')
    if [ ! ${MAINTENANCE_DATE} ]; then
        echo "ERROR: Maintenance file not in the correct format"
        exit 2
    fi
    let DATEDIFF=${DATE}-${MAINTENANCE_DATE}
    if [ $DATEDIFF -gt $THRESHOLD ]; then
        echo "ERROR: Maintenance file older than $THRESHOLD seconds"
        exit 2
    else
        echo "OK: Maintenance file less than $THRESHOLD seconds old ($DATEDIFF)"
        exit 0
    fi
else
    echo "OK: No maintenance text file found"
    exit 0
fi
