#!/usr/bin/env python

# Copyright 2009 Canonical Ltd.
# Author: Chris Jones <chris.jones@canonical.com>

import os
import stat
import sys

import nagios_plugin

################################################################################

NUMLINKS = 0
MAXLINKS = 32000 - 2 # Hard limit is 32000 in ext3, less two for hardcoded stuff

def check_hardlink_doom(pagedir):
    global NUMLINKS
    s = os.stat(pagedir)
    numlinks = s[stat.ST_NLINK]
    remaining = MAXLINKS - numlinks

    if remaining < 500:
        raise nagios_plugin.CriticalError("moin ext3 doom is extremely nigh (%d pages remaining)" % remaining)
    elif remaining < 1000:
        raise nagios_plugin.WarnError("moin ext3 doom is looming (%d pages remaining)" % remaining)
    else:
        # Ugly hack via globals to get the number of remaining pages out to the OK message
        NUMLINKS = remaining

############################################################

def main():
    if len(sys.argv) < 2:
        print "Usage: %s /path/to/wiki/data/pages" % sys.argv[0]
        sys.exit(2)

    nagios_plugin.try_check(check_hardlink_doom, sys.argv[1])
    print "moin ext3 doom is within acceptable limits (%d pages remaining)" % NUMLINKS

################################################################################

if __name__ == "__main__":
    main()
