#!/usr/bin/python

# Author: Matthias Arnason
# Copyright: Canonical Ltd. 2010

# at present, this is only indicated for use with the ohiggins/helium pair; others need a 'slavestatus' user added with the REPLICATION CLIENT privilege.

import MySQLdb		# db
import nagios_plugin	# exit values

slave = 'localhost'

def check_replication():
	# get pws
	try:
		f = open('/var/lib/nagios/mysql-slave-password.txt','r')
		for line in f:
			(user,pw) = line.split(':')
		f.close()
		pw = pw.rstrip()
	except:
		print "UNKNOWN: Couldn't open password file"
		nagios_plugin.UnknownError("couldn't open password file")

	# connect
	db = MySQLdb.connect(user=user,passwd=pw,host=slave)
	cursor = db.cursor()
	cursor.execute("SHOW SLAVE STATUS;")
	# slave status returns a tuple containing a tuple containing what we want. ?:(
	result = cursor.fetchall()[0]
	# [0]: slave IO state. [10]: slave IO running. [11]: slave SQL running. [32]: seconds behind master
	if ((result[0] != 'Waiting for master to send event' and result[0] != 'Queueing master event to the relay log') or result[10] != 'Yes' or result[11] != 'Yes' or result[32] > 0):
		if result[32] > 5:
			raise nagios_plugin.WarnError("%s mysql replication out of date by %ss" % (slave,result[32]))
		elif result[32] > 60:
			raise nagios_plugin.CriticalError("%s mysql replication out of date by %ss" % (slave,result[32]))
		elif result[0] != 'Waiting for master to send event' and result[0] != 'Queueing master event to the relay log':
			raise nagios_plugin.UnknownError("%s mysql not replicating?: status '%s'" % (slave,result[0]))
		elif result[10] != 'Yes':
			raise nagios_plugin.UnknownError("%s mysql not replicating? slave-io '%s'" % (slave,result[10]))
		elif result[11] != 'Yes':
			raise nagios_plugin.UnknownError("%s mysql not replicating? slave-sql '%s'" % (slave,result[11]))
		else:
			print "ok"
	else:
		print "ok"

nagios_plugin.try_check(check_replication)
