#!/usr/bin/python

# Copyright 2011 Canonical Ltd.
#
# Author: Paul Collins

# This check visits the given URL and verifies it is
# OpenID-protected by inspecting where we end up.

from urllib2 import urlopen
from urlparse import urlparse
from sys import argv, exit

OK = 0
WARNING = 1
CRITICAL = 2

try:
    f = urlopen(argv[1])
    u = urlparse(f.url)
    if u.path != "/openid/+login":
        print "CRITICAL: %s is not OpenID-protected!" % argv[1]
        exit(CRITICAL)
    else:
        print "OK: %s is OpenID-protected" % argv[1]
        exit(OK)
except Exception, e:
    print "CRITICAL: caught %s checking %s for OpenID" % (str(e), argv[1])
    exit(CRITICAL)
