#!/bin/sh

set -u

. /usr/lib/nagios/plugins/utils.sh

cmd=$0
host=""

set -- $(/usr/bin/getopt -u -l hostname: H: $*)
while [ $# -gt 0 ]; do
   case "$1" in
      "-H"|"--hostname")
          host=$2
          shift
          shift
      ;;
      *)
          shift
      ;;
   esac
done

if [ "x${host}" = "x" ]; then
   echo "Usage: $cmd -H <host>"
   exit $STATE_UNKNOWN
fi

if [ -x /usr/bin/sipp ]; then
   sipp -i 127.0.0.1 -s nagios-${host} -m 1 -sn uac -timeout 30 127.0.0.1 > /dev/null 2>&1
   ret=$?
   if [ $ret -eq 0 ]; then
      echo "OK: $host is alive"
      exit $STATE_OK
   else
      echo "CRIT: There was an error calling $host."
      exit $STATE_CRITICAL
   fi
fi

echo "sipp isn't installed or executable."
exit $STATE_UNKNOWN
