#!/usr/bin/env python

# Copyright (C) 2007, 2008 James Troup <james.troup@canonical.com>

import os
import stat

import nagios_plugin

################################################################################

def check_up_to_date():
    filename = "/var/lib/nagios/sshdist-bzr-status.txt"
    nagios_plugin.check_file_freshness(filename, 21600)
    s = os.stat(filename)
    if  s[stat.ST_SIZE] > 0:
        raise nagios_plugin.WarnError("/home/sshdist/.ssh bzr tree is not up-to-date, please commit any uncommitted changes.")

############################################################

def main():
    nagios_plugin.try_check(check_up_to_date)
    print "/home/sshdist/.ssh bzr tree up-to-date and permissions sane"

################################################################################

if __name__ == "__main__":
    main()
