#!/usr/bin/env python

# Copyright (C) 2011 Canonical, Ltd.
# Author Michael Barnett
# Drawn heavily from the check_losa_bzr script 
# by Tom Haddon

import os
import stat
import sys

import nagios_plugin

################################################################################

def check_up_to_date(filename):
    nagios_plugin.check_file_freshness(filename, 21600)
    s = os.stat(filename)
    if s[stat.ST_SIZE] > 0:
        raise nagios_plugin.CriticalError("Unexpected u1 ec2 instances found.")

def check_args(args):
    if not args:
        raise nagios_plugin.CriticalError("No logfile found.")

############################################################

def main(args):
    nagios_plugin.try_check(check_args, args)
    for arg in args:
        nagios_plugin.try_check(check_up_to_date, arg)
    print "No unexpected instances found."

################################################################################

if __name__ == "__main__":
    main(sys.argv[1:])
