#!/bin/bash

set -e
set -u

NAGIOS_OK=0
NAGIOS_WARN=1
NAGIOS_CRIT=2

DATAFILE="/var/lib/nagios/webstats-freshness.txt"
DATAMTIME=$(stat -c "%Z" ${DATAFILE})
NOWTIME=$(date +"%s")
TIMEDIFF=""

let "TIMEDIFF = ${NOWTIME} - ${DATAMTIME}"

if [ "${TIMEDIFF}" -gt "172800" ]; then
  # data is >24 hours old
  echo "FAIL: ${DATAFILE} too old"
  exit $NAGIOS_CRIT
fi

DATA=$(cat ${DATAFILE})

echo "${DATA}"

if [ "${DATA:0:2}" == "OK" ]; then
  exit $NAGIOS_OK
else
  exit $NAGIOS_CRIT
fi
