#!/bin/bash

. /usr/lib/nagios/plugins/utils.sh

KEYSERVER=keyserver.ubuntu.com
KEYID=DA4D868B

function scream {
	echo $@
	exit $STATE_CRITICAL
}

function note {
	echo $@
	exit $STATE_WARNING
}

function hooray {
	echo $@
	exit $STATE_OK
}

while [ $# -gt 0 ]
do 
	case "$1" in
		-s|--keyserver)	KEYSERVER=$2; shift; shift;;
		-k|--key)	KEYID=$2; shift; shift;;
		--)	shift; break;;
		*)	echo "You lost me at '$1'"; exit 1;;
	esac
done

ARGS="--homedir=/var/run/nagios3/ --no-permission-warning --keyserver $KEYSERVER --recv-key $KEYID"
if OUT=$(gpg $ARGS); then
	hooray ${KEYSERVER} is functional
else
	scream ${KEYSERVER}: "$OUT"
fi
