#!/bin/bash

. /usr/lib/nagios/plugins/utils.sh
. /home/archvsync/archive-sync.conf

HOSTNAME=$(hostname -f)
STAMP=${TO}/project/trace/${HOSTNAME}
WARN=6
CRITICAL=12

while [ $# -gt 0 ]
do 
	case "$1" in
		-c|--critical)  CRITICAL=$2; shift; shift;;
		-w|--warn)      WARN=$2; shift; shift;;
		--)     shift; break;;
		-*)     echo "You lost me at '$1'"; exit 1;;
		*)      STAMP=$1; shift; break;;
	esac
done

HOUR=$[ 60 * 60 ] # an hour of seconds
NOW=$(date +%s) #yay Unix time
STAMPAGE=$[ $NOW - $(stat -c %Y ${STAMP}) ]
STAMPHOURS=$[ $STAMPAGE / $HOUR ]

echo "$STAMP is over $STAMPHOURS hours old."

if [ $STAMPHOURS -lt $WARN ]; then
	exit $STATE_OK
elif [ $STAMPHOURS -lt $CRITICAL ]; then
	exit $STATE_WARNING
else
	exit $STATE_CRITICAL
fi

