#!/bin/bash

. /usr/lib/nagios/plugins/utils.sh

HOSTNAME=localhost
WARN=70
CRITICAL=80

while [ $# -gt 0 ]
do 
	case "$1" in
		-c|--critical)	CRITICAL=$2; shift; shift;;
		-w|--warn)	WARN=$2; shift; shift;;
		--)	shift; break;;
		-*)	echo "You lost me at '$1'"; exit 1;;
		*)	HOSTNAME=$1; shift; break;;
	esac
done

LOAD=$(/usr/bin/snmpwalk -v 1 -c masyarakat-gr3 $HOSTNAME 1.3.6.1.4.1.9.9.109.1.1.1.1.7 | sed -e "s/.*: //")

echo "Switch $HOSTNAME CPU usage at $LOAD%"

if [ $LOAD -lt $WARN ]; then
	exit $STATE_OK
elif [ $LOAD -lt $CRITICAL ]; then
	exit $STATE_WARNING
else
	exit $STATE_CRITICAL
fi
