#!/bin/bash

# DESCRIPTION:
#
#	Indicates whether the UPS batteries need to be replaced:
# 
#	1 = Batteries do not need replacing
#	2 = Batteries need replacing
#
#	SNMP OID: upsAdvBatteryReplaceIndicator
#	1.3.6.1.4.1.318.1.1.1.2.2.4.0
#

. /usr/lib/nagios/plugins/utils.sh

OK=1
CRITICAL=2

HOSTNAME=${1-localhost}

BATTERY_STATE=$( /usr/bin/snmpwalk -v 1 -c public $HOSTNAME 1.3.6.1.4.1.318.1.1.1.2.2.4.0 | sed -e "s/.*: //" )

case $BATTERY_STATE in
    $OK)
	echo "$HOSTNAME battery state is OK"
	exit $STATE_OK
	;;
    $CRITICAL)
	echo "$HOSTNAME battery state is critical"
	exit $STATE_CRITICAL
	;;
    *)
	echo "Unknown battery state"
	exit $STATE_WARNING
	;;
esac
