#!/bin/bash

. /usr/lib/nagios/plugins/utils.sh

HOSTNAME=$1
UPS=${HOSTNAME%.power}

function scream {
	echo $@
	exit $STATE_CRITICAL
}

NODE=$(/usr/bin/snmpwalk -v 1 -c public $HOSTNAME 1.3.6.1.4.1.318.1.1.1.4.1.1 2> /dev/null) || scream "$UPS STOLEN BY NINJAS!"
CODE=$(echo $NODE | cut -d " " -f 4)

function note {
	echo $@
	exit $STATE_WARNING
}

function hooray {
	echo $@
	exit $STATE_OK
}

case $CODE in
	1)      scream $UPS state UNKNOWN;;
	2)      hooray $UPS feed is normal.;;
	3)      scream $UPS ON BATTERY;;
	4)      scream $UPS SMART BOOST;;
	5)      scream $UPS TIMED SLEEPING;;
	6)      scream $UPS SOFTWARE BYPASS;;
	7)      scream $UPS OFF;;
	8)      scream $UPS REBOOTING;;                
	9)      scream $UPS SWITCHED BYPASS;;
	10)     scream $UPS HARDWARE FAILURE BYPASS;;
	11)     scream $UPS SLEEPING UNTIL POWER RETURN;;
	12)     scream $UPS ON SMART TRIM;;
	*)      scream $UPS UNKNOWN STATUS CODE $CODE;;
esac
