#!/bin/bash

. /usr/lib/nagios/plugins/utils.sh

HOSTNAME=localhost
WARN=49
CRITICAL=50

while [ $# -gt 0 ]
do 
	case "$1" in
		-c|--critical)	CRITICAL=$2; shift; shift;;
		-w|--warn)	WARN=$2; shift; shift;;
		--)	shift; break;;
		-*)	echo "You lost me at '$1'"; exit 1;;
		*)	HOSTNAME=$1; shift; break;;
	esac
done

LOAD=$(/usr/bin/snmpwalk -v 1 -c public $HOSTNAME 1.3.6.1.4.1.318.1.1.1.4.2.3.0 | sed -e "s/.*: //")

echo "$1 load at $LOAD%"

if [ $LOAD -lt $WARN ]; then
	exit $STATE_OK
elif [ $LOAD -lt $CRITICAL ]; then
	exit $STATE_WARNING
else
	exit $STATE_CRITICAL
fi
